Welcome Inspire Pilots!
Join our free DJI Inspire community today!
Sign up

Anybody have the last firmware that was before the latest GO app for MAC?

Joined
Jun 25, 2015
Messages
22
Reaction score
5
Age
45
I am desperate for the app before the newest one came out today. I'm trying to see if my ESC error goes away with a downgrade. I already have my downgrades for the batteries, remote and inspire. Just missing for the IOS.
 
Let me clarify. It is not the firmware that I need for the actual inspire 1, battieres or rc. It is the DJI Pilot APP that I need. Not DJI GO app, the one before that.
 
Let me clarify. It is not the firmware that I need for the actual inspire 1, battieres or rc. It is the DJI Pilot APP that I need. Not DJI GO app, the one before that.
If you have not backed up your iOS device to iTunes so that you can restore it, there is no point asking anyone else for a copy. When you download and install an App it is linked with your Apple ID and cannot be shared.

The ESC upgrade in the new FW is installed on the I1. It has nothing to do with the Pilot/GO app. You can downgrade the I1 FW but not the iOS app (unless you have a backup in iTunes).
 
Last edited:
Bummer. Inspire worked fine before fw. It's impossible to get ahold of someone at DJI today. Been trying since 9am.
 
Bummer. Inspire worked fine before fw. It's impossible to get ahold of someone at DJI today. Been trying since 9am.
If it worked before the FW update, you should be able to download (from DJI Download) and downgrade the FW to 1.2.1.06.

You mention an ESC error. This may be due to tighter check functions in FW 1.3.0.0 indicating a latent fault in your ESCs. My I1 is back with DJI Europe for a replacement of the baro unit for a simpler error report.
 
is there any way to get the install file of the app on an iOS device?
if i understand correct then only by saving via iTunes?
i will do that right away then.
 

New Posts

Members online

Forum statistics

Threads
22,266
Messages
210,580
Members
34,085
Latest member
vpchayvMus